Bug 1117943 - [RFE] Monitor the interface used to establish connectivity from Engine to enhance the fencing logic
Summary: [RFE] Monitor the interface used to establish connectivity from Engine to enh...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.6.0
Assignee: Martin Mucha
QA Contact: Meni Yakove
URL: http://www.ovirt.org/Features/engine_...
Whiteboard: network
Depends On:
Blocks: 1110176 1120817
TreeView+ depends on / blocked
 
Reported: 2014-07-09 16:49 UTC by Nir Yechiel
Modified: 2016-02-10 19:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1120817 (view as bug list)
Environment:
Last Closed: 2015-04-06 08:22:39 UTC
oVirt Team: Network
nyechiel: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 34220 master ABANDONED core: added engine-config values related to engine NICs health checking Never
oVirt gerrit 34221 master ABANDONED core: db structures for storing data about nic health Never
oVirt gerrit 34222 master ABANDONED core: scanning of configured NICs for health Never

Description Nir Yechiel 2014-07-09 16:49:10 UTC
Description of problem:

This RFE is part of the request is to introduce logic in the fencing workflow for the engine to determine if an inability to communicate with external hosts is because it is having network connectivity issues, or if there is a legitimate problem with the remote host.

We should track the physical devices (i.e., interface, bond) used to establish connectivity from Engine to the hosts in the 'rhevm' logical network. In the event of a physical connectivity problem of an interface, we should be able to alert that so that the fencing flow will take that into consideration and allow the environment time to stabilize/reestablish connectivity with the hosts.


Note You need to log in before you can comment on or make changes to this bug.